summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJörg Thalheim <joerg@thalheim.io>2023-04-23 13:26:26 +0200
committerJörg Thalheim <joerg@thalheim.io>2023-04-23 13:29:37 +0200
commitacee2a4bb4678a096363a21fb89da13d4bfd5d88 (patch)
tree70d7554c6516b98ddbdeaa3388b80a3d0635b029
parent98591a5ae59b096826c1a8bedf733c955662d0c8 (diff)
downloadpatchelf-acee2a4bb4678a096363a21fb89da13d4bfd5d88.tar.gz
tests: use proper exit code to mark tests as skipped
-rwxr-xr-xtests/set-rpath-library.sh2
-rwxr-xr-xtests/set-rpath-rel-map.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/tests/set-rpath-library.sh b/tests/set-rpath-library.sh
index 6ae1715..91218cd 100755
--- a/tests/set-rpath-library.sh
+++ b/tests/set-rpath-library.sh
@@ -3,7 +3,7 @@ SCRATCH=scratch/$(basename "$0" .sh)
if test "$(uname)" = FreeBSD; then
echo "skipping on FreeBSD"
- exit 0
+ exit 77
fi
rm -rf "${SCRATCH}"
diff --git a/tests/set-rpath-rel-map.sh b/tests/set-rpath-rel-map.sh
index 2f890f2..97cf69a 100755
--- a/tests/set-rpath-rel-map.sh
+++ b/tests/set-rpath-rel-map.sh
@@ -6,7 +6,7 @@ OBJCOPY=${OBJCOPY:-objcopy}
if ! $OBJDUMP -p main | grep -q MIPS_RLD_MAP_REL; then
echo "No MIPS_RLD_MAP_REL dynamic section entry, skipping"
- exit 0
+ exit 77
fi
rm -rf "${SCRATCH}"